io.agora.rtc

## Enum Constants.MatrixID

- java.lang.Object
- - java.lang.Enum<Constants.MatrixID>
  - - io.agora.rtc.Constants.MatrixID

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.MatrixID>
  Enclosing class:
    Constants

      public static enum Constants.MatrixID
      extends java.lang.Enum<Constants.MatrixID>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MATRIXID_BT2020_CL`
    `MATRIXID_BT2020_NCL`
    `MATRIXID_BT2100_ICTCP`
    `MATRIXID_BT470BG`
    `MATRIXID_BT709`
    `MATRIXID_CDCLS`
    `MATRIXID_CDNCLS`
    `MATRIXID_FCC`
    `MATRIXID_RGB`
    `MATRIXID_SMPTE170M`
    `MATRIXID_SMPTE2085`
    `MATRIXID_SMPTE240M`
    `MATRIXID_UNSPECIFIED`
    `MATRIXID_YCOCG`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `value`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getValue(Constants.MatrixID id)`
    `static Constants.MatrixID` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.MatrixID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MATRIXID_RGB

          public static final Constants.MatrixID MATRIXID_RGB

    - #### MATRIXID_BT709

          public static final Constants.MatrixID MATRIXID_BT709

    - #### MATRIXID_UNSPECIFIED

          public static final Constants.MatrixID MATRIXID_UNSPECIFIED

    - #### MATRIXID_FCC

          public static final Constants.MatrixID MATRIXID_FCC

    - #### MATRIXID_BT470BG

          public static final Constants.MatrixID MATRIXID_BT470BG

    - #### MATRIXID_SMPTE170M

          public static final Constants.MatrixID MATRIXID_SMPTE170M

    - #### MATRIXID_SMPTE240M

          public static final Constants.MatrixID MATRIXID_SMPTE240M

    - #### MATRIXID_YCOCG

          public static final Constants.MatrixID MATRIXID_YCOCG

    - #### MATRIXID_BT2020_NCL

          public static final Constants.MatrixID MATRIXID_BT2020_NCL

    - #### MATRIXID_BT2020_CL

          public static final Constants.MatrixID MATRIXID_BT2020_CL

    - #### MATRIXID_SMPTE2085

          public static final Constants.MatrixID MATRIXID_SMPTE2085

    - #### MATRIXID_CDNCLS

          public static final Constants.MatrixID MATRIXID_CDNCLS

    - #### MATRIXID_CDCLS

          public static final Constants.MatrixID MATRIXID_CDCLS

    - #### MATRIXID_BT2100_ICTCP

          public static final Constants.MatrixID MATRIXID_BT2100_ICTCP

  - ### Field Detail

    - #### value

          public final int value

  - ### Method Detail

    - #### values

          public static Constants.MatrixID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.MatrixID c : Constants.MatrixID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.MatrixID valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public static int getValue(Constants.MatrixID id)